Subject: Re: pre-commit hook, non-zero exit status and dangling objects

From: Tommi Virtanen <[email-masked]>
Date: Mon, 25 Aug 2008 16:35:27 +0300

On Sun, Aug 24, 2008 at 04:57:52PM +0600, Сергей Шарыбин wrote:
> After pre-commit returned non-zero status, I could see new dangling  
> objects in my repo. I think it's not normal, because pre-commit is often  
> used for checking formation of source files and after changing this  
> files, hash of object will be also changed and even after successfull  
> commit dangling object will be still alive.

You also get dangling objects by running git add. There's no harm in
them, they will be cleaned up automatically.

-- 
:(){ :|:&};: